* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    text-align: center;
}

.greeting {
    position: relative;
    width: 100%;
    height: 100vh;
}

.greeting-images {
    position: relative;
    height: 100vh;
}

.greeting-img {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transform: translate(-50%, 0);
    transform-origin: center right;
}

@keyframes move-away {
    0%, 100% {transform: scale(1);}
    50% {transform: scale(1.1);}
}

@keyframes opacity {
    0%, 100% {
        opacity: 0;
    }
    50% {
        opacity: 1;
    }
}

.stars {
    animation: move-away 4s ease-in-out infinite;
}

.constellations {
    animation: opacity 3s ease-in-out infinite;
}

header a, header li {
    text-decoration: none;
    list-style: none;
    color: #FFF;
    text-transform: uppercase;
}

#header {
    position: absolute;
    font-family: Source Sans Pro;
    font-size: 20px;
    font-weight: 600;
    line-height: 16px;
    letter-spacing: 0.1em;
}

header li {
    font-family: Source Sans Pro;
    font-size: 14px;
    font-weight: 400;
    line-height: 16px;
    letter-spacing: 0.1em;
    text-align: left;
}

.toggle-button {
    position: absolute;
    top: 3rem;
    right: 2rem;
    display: none;
    flex-direction: column;
    justify-content: space-between;
    width: 30px;
    height: 21px;
}

.toggle-button .bar {
    height: 3px;
    width: 100%;
    background-color: #FFF;
    border-radius: 10px;
}

nav {
    position: absolute;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    height: 98px;
    justify-content: space-evenly;
    align-items: center;
}

ul {
    display: flex;
    justify-content: space-evenly;
    padding-inline-start: 0;
}

li:nth-of-type(2) {
    text-decoration: underline;
}

.logo-large {
    padding-top: 274px;
}

#headline-logo {
    transition: transform .5s ease-out;
    perspective: 100px;
}

#headline-logo:hover {
    transform: scale(1.3) rotateY(180deg);
}

#intro {
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    color: #FFF;
    height: 100%;
    width: 100%;
}

#intro h1 {
    font-family: Oswald, sans-serif;
    font-weight: 700;
    font-size: 48px;
    line-height: 64px;
    color: #FFF;
}

#intro h2 {
    color: #FFF;
    opacity: 70%;
    padding-bottom: 256px;
    margin: 0;
}

article {
    background-color:#EEEEEE;
    text-align: center;
    padding: 87px 120px 98px 97px;
}

article h2 {
    font-family: Oswald, sans-serif;
    font-size: 48px;
    font-weight: 700;
    line-height: 64px;
    letter-spacing: 0em;
    text-align: center;
    color: #464547;
}

article h3 {
    font-family: Source Sans Pro, sans-serif;
    font-size: 24px;
    font-weight: 400;
    line-height: 32px;
    letter-spacing: 0em;
    text-align: center;
    color: #666666;
}

.two-column-section {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 20px;
        margin: 0 20px;
}

article button {
    background-color: #55C2D8;
    color: white;
    border-radius: 18px;
    width: 115px;
    height: 36px;
    font-size: 14px;
    line-height: 26px;
    letter-spacing: 0.1em;
    font-family: Oswald, sans-serif;
    font-weight: 400;
    border: none;
    text-transform: uppercase;
    margin-top: 21px;
}

#read-more {
    transition: transform 1s ease-out;
    transform-origin: left;
}

#read-more:hover {
    transform: rotateZ(10deg);
}

#section-bottom {
    background-image: url(../assets/bottom-img.png);
    background-size: cover;
    color: white;
}

#section-bottom h2 {
    margin: 0;
    padding-top: 84px;
    font-family: Oswald, sans-serif;
    font-size: 48px;
    font-weight: 700;
    line-height: 64px;
    letter-spacing: 0em;
    text-align: center;
}

#section-bottom h3 {
    font-family: Source Sans Pro, sans-serif;
    font-size: 24px;
    font-weight: 400;
    line-height: 32px;
    letter-spacing: 0em;
    text-align: center;
    padding-bottom: 94px;
    margin-bottom: 0;
}

.play {
    padding-top: 40px;
    padding-bottom: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
}

#play-button-outer {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #39C2D7;
    border-radius: 50%;
    border: none;
    width: 150px;
    height: 150px;
    transition: all 0.3s;
}

#play-button {
    color: #FFF;
    font-size: 40px;
    border-radius: 50%;
    transition: all 0.3s;
}

#play-button-outer:hover {
    transform: scale(1.1);
    background-color: #FFF;
}

#play-button-outer:hover #play-button {
    transform: scale(1.1);
    color: #39C2D7;
}


footer {
    background-color: #464547;
    text-align: left;
    height: 199px;
}

footer p {
    margin: 0;
}

#footer-sitename {
    color: #FFFFFF;
    font-family: Source Sans Pro;
    font-size: 18px;
    font-weight: 400;
    line-height: 16px;
    letter-spacing: 0.2em;
    text-transform: uppercase;
}

footer address {
    padding-top: 14px;
    font-family: Source Sans Pro;
    font-size: 16px;
    font-weight: 400;
    line-height: 19px;
    letter-spacing: 0em;
    color: #FFFFFF;
    opacity: 40%;
    font-style: normal;
}

footer a {
    color: #FFF;
    opacity: 40%;
    text-decoration: none;
}

footer #rights {
    color: #FFF;
    opacity: 40%;
}

.wrapper {
    width: 85%;
    margin: 0 auto;
    padding-top: 30px;
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    grid-template-rows: repeat(2, auto);
    justify-content: left;
    align-items: center;
  }
  
  .footer-logo {
    grid-column: 1 / 2;
    grid-row: 1 / 2;
  }
  
  .address {
    grid-column: 3 / 4;
    grid-row: 1 / 2;
  }
  
  .contact {
    grid-column: 3 / 4;
    grid-row: 2 / 3;
  }
  
  .rights {
    grid-column: 6 / 8;
    grid-row: 2 / 3;
  }
  
  @media (max-width: 768px) {

    .toggle-button {
        display: flex;
    }

    ul {
        display: none;
    }

    article {
        text-align: left;
    }

    article h2, article h3 {
        text-align: left;
    }

    .two-column-section {
        display: inline;
    }

    footer {
        text-align: center;
        height: 292px;
    }

    .wrapper {
        display: flex;
        flex-direction: column;
    }

    .flex-item {
        padding-top: 0.5rem;
        padding-bottom: 0.5rem;
    }
}
